np_client_free
np_client_new
np_client_start_service
np_client_t
np_error_t
np_notify_cb_t
np_observe_notification
np_observe_notifications
np_post_notification
NP_SERVICE_NAME
np_set_notify_callback

## np_client_new()

LIBIMOBILEDEVICE_API np_error_t np_client_new | ( | idevice_t | device,
|  | lockdownd_service_descriptor_t | service,
|  | np_client_t * | client )

Connects to the notification_proxy on the specified device.

Parameters

  device | The device to connect to.
  service | The service descriptor returned by lockdownd_start_service.
  client | Pointer that will be set to a newly allocated np_client_t upon successful return.

Returns
  NP_E_SUCCESS on success, NP_E_INVALID_ARG when device is NULL, or NP_E_CONN_FAILED when the connection to the device could not be established.